com.sun.jna.win32

## Class W32APIFunctionMapper

- java.lang.Object
- - com.sun.jna.win32.W32APIFunctionMapper

- All Implemented Interfaces:
    FunctionMapper

      public class W32APIFunctionMapper
      extends java.lang.Object
      implements FunctionMapper

  Encapsulates lookup of W32 API UNICODE/ASCII functions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FunctionMapper` | `ASCII`
    `static FunctionMapper` | `UNICODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `W32APIFunctionMapper(boolean unicode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFunctionName(NativeLibrary library, java.lang.reflect.Method method)` Looks up the method name by adding a "W" or "A" suffix as appropriate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNICODE

          public static final FunctionMapper UNICODE

    - #### ASCII

          public static final FunctionMapper ASCII

  - ### Constructor Detail

    - #### W32APIFunctionMapper

          protected W32APIFunctionMapper(boolean unicode)

  - ### Method Detail

    - #### getFunctionName

          public java.lang.String getFunctionName(NativeLibrary library,
                                         java.lang.reflect.Method method)

      Looks up the method name by adding a "W" or "A" suffix as appropriate.
      Specified by:
        `getFunctionName` in interface `FunctionMapper`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.